> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch the traffic data for a specific domain.

> Deprecated. Use [GET /v1/analytics/traffic](/docs/api-reference/waap/analytics/get-traffic-data) instead.



## OpenAPI

````yaml /api-reference/services_documented/waap_api.yaml get /waap/v1/domains/{domain_id}/traffic
openapi: 3.1.0
info:
  title: Gcore OpenAPI – WAAP API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: WAAP Service
    x-displayName: WAAP Service
  - name: Domains
    x-displayName: Domains
  - name: Policies
    x-displayName: Policies
  - name: Analytics
    x-displayName: Analytics
  - name: Custom Page Sets
    x-displayName: Custom Page Sets
  - name: Custom Rules
    x-displayName: Custom Rules
  - name: Filter Templates
    x-displayName: Filter Templates
  - name: Firewall Rules
    x-displayName: Firewall Rules
  - name: Advanced Rules
    x-displayName: Advanced Rules
  - name: Tags
    x-displayName: Tags
  - name: Network Organizations
    x-displayName: Network Organizations
  - name: API Discovery
    x-displayName: API Discovery
  - name: IP Spotlight
    x-displayName: IP Spotlight
  - name: Security Insights
    x-displayName: Security Insights
  - name: IP Reputation
    x-displayName: IP Reputation
paths:
  /waap/v1/domains/{domain_id}/traffic:
    get:
      tags:
        - Analytics
      summary: Fetch the traffic data for a specific domain.
      description: >-
        Deprecated. Use [GET
        /v1/analytics/traffic](/docs/api-reference/waap/analytics/get-traffic-data)
        instead.
      operationId: get_traffic_v1_domains__domain_id__traffic_get
      parameters:
        - name: domain_id
          in: path
          required: true
          schema:
            type: integer
            exclusiveMinimum: 0
            description: The domain ID
            title: Domain Id
          description: The domain ID
        - name: resolution
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/Resolution'
            description: Specifies the granularity of the result data.
          description: Specifies the granularity of the result data.
        - name: start
          in: query
          required: true
          schema:
            type: string
            description: >-
              Filter data items starting from a specified date in ISO 8601
              format
            example: '2024-04-13T00:00:00+01:00'
            examples:
              - '2024-04-13T00:00:00+01:00'
            title: Start
          description: Filter data items starting from a specified date in ISO 8601 format
        - name: end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Filter data items up to a specified end date in ISO 8601 format.
              If not provided, defaults to the current date and time.
            examples:
              - '2024-04-14T12:00:00Z'
            title: End
          description: >-
            Filter data items up to a specified end date in ISO 8601 format. If
            not provided, defaults to the current date and time.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TrafficMetrics'
                title: Response Get Traffic V1 Domains  Domain Id  Traffic Get
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                type: http-bad-request
                title: Bad Request
                status: 400
                detail: 'Invalid domain name: '''''''''
          description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/problem+json:
              example:
                detail: Auth token is missing or invalid
        '403':
          description: Unauthenticated
          content:
            application/problem+json:
              example:
                detail: Permission denied
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                type: http-not-found
                title: Not Found
                status: 404
                detail: The resource is not found
          description: Not Found
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APICompositeError'
              example:
                type: request-validation-failed
                title: Request validation error.
                status: 422
                detail: One or more fields have validation errors.
                errors:
                  - loc:
                      - body
                      - name
                    detail: Input should be a valid string
                  - loc:
                      - body
                      - date
                    detail: Field required
                  - loc:
                      - query
                      - limit
                    detail: Field required
          description: Unprocessable Entity
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                type: internal-server-error
                title: Internal server error.
                status: 500
                detail: >-
                  An unexpected condition was encountered which prevented the
                  server from fulfilling the request.
          description: Internal Server Error
      deprecated: true
components:
  schemas:
    Resolution:
      type: string
      enum:
        - daily
        - hourly
        - minutely
      title: Resolution
      description: Specifies the granularity of the result data.
    TrafficMetrics:
      properties:
        timestamp:
          type: integer
          title: Timestamp
          description: UNIX timestamp indicating when the traffic data was recorded
        ajax:
          type: integer
          title: Ajax
          description: Number of AJAX requests made
          default: 0
        api:
          type: integer
          title: Api
          description: Number of API requests made
          default: 0
        ddosBlocked:
          type: integer
          title: Ddosblocked
          description: Number of DDoS attack attempts successfully blocked
          default: 0
        origin2xx:
          type: integer
          title: Origin2Xx
          description: Number of successful HTTP 2xx responses from the origin server
          default: 0
        origin3xx:
          type: integer
          title: Origin3Xx
          description: Number of HTTP 3xx redirects issued by the origin server
          default: 0
        originError4xx:
          type: integer
          title: Originerror4Xx
          description: Number of HTTP 4xx errors from the origin server
          default: 0
        originError5xx:
          type: integer
          title: Originerror5Xx
          description: Number of HTTP 5xx errors from the origin server
          default: 0
        monitored:
          type: integer
          title: Monitored
          description: Number of requests triggering monitoring actions
          default: 0
        uncategorized:
          type: integer
          title: Uncategorized
          description: Requests resulting in neither blocks nor sanctions
          default: 0
        static:
          type: integer
          title: Static
          description: Number of static asset requests
          default: 0
        responseTime:
          type: integer
          title: Responsetime
          description: Average origin server response time in milliseconds
          default: 0
        originTimeout:
          type: integer
          title: Origintimeout
          description: Number of timeouts experienced at the origin server
          default: 0
        customAllowed:
          type: integer
          title: Customallowed
          description: Number of requests allowed through custom rules
          default: 0
        total:
          type: integer
          title: Total
          description: Total number of requests
          default: 0
        passedToOrigin:
          type: integer
          title: Passedtoorigin
          description: Number of requests served directly by the origin server
          default: 0
        customBlocked:
          type: integer
          title: Customblocked
          description: Number of requests blocked due to custom rules
          default: 0
        policyAllowed:
          type: integer
          title: Policyallowed
          description: Number of requests allowed by security policies
          default: 0
        policyBlocked:
          type: integer
          title: Policyblocked
          description: Number of requests blocked by security policies
          default: 0
      type: object
      required:
        - timestamp
      title: TrafficMetrics
      description: Represents the traffic metrics for a domain at a given time window
    APIError:
      properties:
        type:
          type: string
          title: Type
          description: A URI identifier that categorizes the type of error.
        title:
          type: string
          title: Title
          description: A brief, human-readable title for the error.
        status:
          type: integer
          title: Status
          description: The HTTP status code applicable to this error.
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          description: A detailed human-readable explanation of the error.
      type: object
      required:
        - type
        - title
        - status
        - detail
      title: APIError
    APICompositeError:
      properties:
        type:
          type: string
          title: Type
          description: A URI identifier that categorizes the type of error.
        title:
          type: string
          title: Title
          description: A brief, human-readable title for the error.
        status:
          type: integer
          title: Status
          description: The HTTP status code applicable to this error.
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          description: A detailed human-readable explanation of the error.
        errors:
          items:
            $ref: '#/components/schemas/APIFieldError'
          type: array
          title: Errors
          description: A list of detailed errors for individual fields.
      type: object
      required:
        - type
        - title
        - status
        - detail
        - errors
      title: APICompositeError
    APIFieldError:
      properties:
        loc:
          anyOf:
            - items:
                anyOf:
                  - type: integer
                  - type: string
              type: array
            - {}
          title: Loc
          description: The location of the field or a character number causing the error.
        detail:
          type: string
          title: Detail
          description: A human-readable message describing the error.
      type: object
      required:
        - loc
        - detail
      title: APIFieldError
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````